Documentation Index
Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
WSSws-auth.kraken.com/v2executions
The executions channel streams order status and execution events for this account.
It corresponds to a combination of the following Websockets v1 channels: openOrders and ownTrades.
This channel contains account specific data, an authentication token is required in the request.
Subscribe
- Request
- Response
Value:
subscribeHide properties
Hide properties
Value:
executionsOne of:
Default:
true, falseDefault:
falseIf true, the last 50 order fills will be included in snapshot.One of:
Default:
true, falseDefault:
trueIf true, open orders will be included in snapshot.One of:
Default:
true, falseDefault:
trueIf true, all possible status transitions will be sent. Otherwise, only open / close transitions will be streamed: new, filled, canceled, expired.One of:
Default:
Condition: Effective for viewing xstocks onlyIf
true, falseDefault:
trueCondition: Effective for viewing xstocks onlyIf
true, display in terms of underlying equity, otherwise display in terms of SPV tokens.One of:
Default:
true, falseDefault:
falseIf true, the rate-limit counter is included in the stream.One of:
Condition: Available on master accounts onlyIf
allCondition: Available on master accounts onlyIf
all, events for master and subaccounts are streamed, otherwise only master account events are published. No snapshot is provided.One of:
Deprecated: Use ‘snap_trades’ fieldIf
true, falseDeprecated: Use ‘snap_trades’ fieldIf
true, snapshot provides only trade events. Otherwise, open orders and trades will be included in snapshot.One of:
Deprecated: Use ‘snap_orders’ or ‘snap_trades’ fieldRequest a snapshot after subscribing.
true, falseDeprecated: Use ‘snap_orders’ or ‘snap_trades’ fieldRequest a snapshot after subscribing.
Authentication token. See authentication guide for details.
Optional client originated request identifier sent as acknowledgment in the response.
Value:
subscribeHide properties
Hide properties
Value:
executionsOne of:
true, falseIndicates if a snapshot of orders is requested.One of:
true, falseIndicates if a snapshot of trades is requested.Specifies the max rate counter value for the user transaction rate. It is based on user tier.
Deprecated: Use ‘snap_trades’ and ‘snap_orders’Indicates if a snapshot is requested.
An advisory message, highlighting deprecated fields or upcoming changes to the channel.
Indicates if the request was successfully processed by the engine. One of:
true, falseError message. Condition: if
success is false.The timestamp when the subscription was received on the wire, just prior to parsing data. Format: RFC3339. Example:
2022-12-25T09:30:59.123456ZThe timestamp when the acknowledgement was sent on the wire, just prior to transmitting data. Format: RFC3339. Example:
2022-12-25T09:30:59.123456ZOptional client originated request identifier sent as acknowledgment in the response.
Snapshot / Update
The snapshot and update stream share the same data schema, the fields included in the message is dependant on theexec_type.
By default, the snapshot response contains all open orders and latest 50 trades.
The snapshot message content can be adjusted with the subscription parameters.
Value:
executionsOne of:
snapshot, updateA list of execution reports: order status and fills.
Hide properties
Hide properties
One of:
true, falseIndicates if the order has been amended, the modification history can be extracted from the REST OrderAmends endpoint. This field is present in the snapshot and the amended, restated event types.Order’s average fill price.
Order volume expressed in quote currency (if specified on the original order).
Optional client identifier associated with the order.
The contingent object describes the template for generating the secondary close orders when the primary order fills.
Hide properties
Hide properties
One of:
limit, stop-loss, stop-loss-limit, take-profit, take-profit-limit, trailing-stop, trailing-stop-limitDescribes the order type of the secondary orders which will be created on each fill.Condition: Only on triggered secondary order typesDescribes the trigger price amount on the secondary orders. This field is used in combination with the
contingent.trigger_price_type field to determine the effective trigger price.One of:
Condition: Only on triggered secondary order typesDescribes trigger price units on the secondary orders.
static, pct, quoteCondition: Only on triggered secondary order typesDescribes trigger price units on the secondary orders.
static: a static market price for the asset, i.e. 30000 for BTC/USD.pct: a percentage offset from the reference price, i.e. -10% from index price.quote: a notional offset from the reference price in the quote currency, i.e, 150 BTC/USD from last price.
Condition: Only on secondary order types that support limit priceDescribes limit price amount on the secondary orders. This field is used in combination with the
contingent.limit_price_type field to determine the effective limit price.One of:
Condition: Only on secondary order types that support limit priceDescribes limit price units on the secondary orders.
static, pct, quoteCondition: Only on secondary order types that support limit priceDescribes limit price units on the secondary orders.
static: a static market price for the asset, i.e. 30000 for BTC/USD.pct: a percentage offset from the reference price, i.e. -10% from index price.quote: a notional offset from the reference price in the quote currency, i.e, 150 BTC/USD from last price.
Condition: trade events onlyValue of an individual execution.
The order cumulative value executed.
The order cumulative executed quantity.
Display quantity for iceberg order types.
Condition: Iceberg OrderIndicates next display_qty in Iceberg order.
Format: RFC3339
Example:
Example:
2022-12-25T09:30:59.123456ZScheduled start time of the order.Condition: trade events onlyExecution identifier.
One of:
pending_new, new, trade, filled, iceberg_refill, canceled, expired, amended, restated, statusDescribes the type of order event and determines the set of fields in the message.pending_new: Order request has been received and validated but the order is not live yet.new: Order has been created and is live in the engine.trade: The order has received a fill.filled: The order has been fully filled.canceled: The order has been cancelled.iceberg_refill: Indicates an Iceberg order refill.expired: The order has expired.amended: There is a user initiated amend on the order, i.e. limit price change.restated: There is a engine initiated amend on the order for maintenance of position or book, seereasonfield, i.e. reduce non-tradable liquidity.status: The order has a status update, i.e. trigger price has been updated.
Format: RFC3339
Example:
Example:
2022-12-25T09:30:59.123456ZScheduled expiration time of the order.Format: UUIDAn optional, external partner order identifier shown on order events.
Format: UUIDAn optional, external partner execution identifier shown on trade events.
The preferred currency for paying fees.
fcib: prefer fee in base currency.fciq: prefer fee in quote currency.
The total fee paid in USD.
Limit price for order types that support limit price restriction.
Indicates if the order has been liquidated by the engine.
One of:
m, tThe liquidity indicator: t taker, m maker.Condition: trade events onlyThe average price in this trade event.
Condition: trade events onlyThe quantity filled in this trade event.
Indicates if the order can be funded on margin.
Indicates if an execution is on margin, i.e. if the trade increased or reduced size of margin borrowing. On trade events only.
Indicates if the order has market price protection.
Referral order transaction id that created this order.
Unique order identifier generated by Kraken.
The client order quantity.
One of:
limit, market, iceberg, stop-loss, stop-loss-limit, take-profit, take-profit-limit, trailing-stop, trailing-stop-limit, settle-positionThe execution model of the order.Describes current state of the order.
pending_new: Order has been received but not yet created by the engine.new: Order is live but has no fills.partially_filled: Order is live and some fills.filled: The order has been fully filled.canceled: The order has been cancelled.expired: The order has expired.
Optional numeric, client identifier associated with one or more orders.
One of:
true, falseIndicates a post only order.One of:
opened, closing, closedIndicates status of the position on a margin order.The reason associated with an event, if applicable.
One of:
true, falseIndicates a reduce only order.For institutional accounts, identifies underlying sub-account/trader for Self Trade Prevention (STP).
One of:
buy, sellSide of the order.Example:
"BTC/USD"The symbol of the currency pair.One of:
GTC, GTD, IOC, FOKTime-in-force specifies how long an order remains in effect before being expired.GTC: Good Till CanceledGTD: Good Till DateIOC: Immediate Or CancelFOK: Fill Or Kill
Format: RFC3339
Example:
Example:
2022-12-25T09:30:59.123456ZTime of the event.The trade identifier.
Describes the parameters and status of the price trigger for triggered order types.
Hide properties
Hide properties
One of:
index, lastThe reference price tracked for triggering orders.Specifies the amount for the trigger price - it supports both static market prices and relative prices. This field is used in combination with the
price_type field below to determine the effective trigger price.One of:
static, pct, quoteThe units for the trigger price.static: a static market price for the asset, i.e. 30000 for BTC/USD.pct: a percentage offset from the reference price, i.e. -10% from index price.quote: a notional offset from the reference price in the quote currency, i.e, 150 BTC/USD from last price.
The current value of the effective trigger price, this is useful if the trigger was entered using a relative price or the trigger price changes over time.
The peak / trough price on
trailing-stop and trailing-stop-limit orders.On trigger activation, the value of the reference last price that triggered the order.
One of:
triggered, untriggeredThe status is set to triggered when the trigger conditions are met and the order becomes active.Format: RFC3339
Example:
Example:
2022-12-25T09:30:59.123456ZOn trigger activation, the timestamp of the trigger event.Example:
Condition: Published when request parameters have ‘users=all’The Kraken generated identifier for a user / sub-account.
AA96N74GCGEFN8KICondition: Published when request parameters have ‘users=all’The Kraken generated identifier for a user / sub-account.
Deprecated: Use ‘reason’ fieldCancellation reason.
Deprecated: Use ‘triggers’ objectThe stop price for triggered order types.
One of:
Deprecated: Use ‘triggers’ objectReference price for triggered order types.
index, lastDeprecated: Use ‘triggers’ objectReference price for triggered order types.
Deprecated: Use ‘triggers’ objectPrice which triggered the order.
The subscription message sequence number.
Unsubscribe
- Request
- Response
Value:
unsubscribeHide properties
Hide properties
Value:
executionsAuthentication token. See authentication guide for details.
Optional client originated request identifier sent as acknowledgment in the response.
Value:
unsubscribeIndicates if the request was successfully processed by the engine. One of:
true, falseError message. Condition: if
success is false.The timestamp when the subscription was received on the wire, just prior to parsing data. Format: RFC3339. Example:
2022-12-25T09:30:59.123456ZThe timestamp when the acknowledgement was sent on the wire, just prior to transmitting data. Format: RFC3339. Example:
2022-12-25T09:30:59.123456ZOptional client originated request identifier sent as acknowledgment in the response.